VisualEditor: Offer to retain changes when switching to the "Edit Source" tab
Closed, ResolvedPublic

Description

When a user clicks on Switch to source editing option from the settings drop down it tells user that switching to source editing will keep the changes made in the document.But if a user attempts to switch from the tab it does not retain those changes.This seemed confusing to me because when user uses the "switch to source editing" , the "Edit Source" tab is selected ,indicating the same destination for both action.

If a user can switch to source editing in multiple ways, i think it is better both ways have similar mechanism of handling the changes to have uniform experience.
Specially when switching from tab is one click away compared to the "[]switch to source editing" option.


Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=57699
https://bugzilla.wikimedia.org/show_bug.cgi?id=42141

bzimport set Reference to bz57462.
Ryasmeen created this task.Via LegacyNov 23 2013, 12:12 AM
Ryasmeen added a comment.Via ConduitNov 23 2013, 12:17 AM

Created attachment 13890
Inside Edit Source tab

Attached:

Aklapper added a comment.Via ConduitNov 23 2013, 5:09 PM

[Removing "[Suggestion]" from summary; setting severity field to "enhancement" instead]

Jdforrester-WMF added a comment.Via ConduitNov 25 2013, 3:55 PM

This is possible, but would be ugly, because we'd need to replace the existing two-choice option (switch or don't switch) with a custom three-choice one (switch and keep changes, switch without changes, don't switch)… Maybe.

MZMcBride added a comment.Via ConduitFeb 3 2014, 4:53 AM

I personally think that this bug report is a duplicate of bug 42141.

gerritbot added a comment.Via ConduitJun 25 2014, 8:26 PM

Change 142064 had a related patch set uploaded by Alex Monk:
Offer to retain changes when switching to the wikitext editor

https://gerrit.wikimedia.org/r/142064

gerritbot added a comment.Via ConduitJun 30 2014, 11:40 PM

Change 142064 merged by jenkins-bot:
Offer to retain changes when switching to the wikitext editor

https://gerrit.wikimedia.org/r/142064

gerritbot added a comment.Via ConduitJul 1 2014, 12:00 AM

Change 143203 had a related patch set uploaded by Alex Monk:
Don't offer to retain changes when switching to wikitext editor by tab if no changes have been made.

https://gerrit.wikimedia.org/r/143203

gerritbot added a comment.Via ConduitJul 1 2014, 1:04 AM

Change 143203 merged by jenkins-bot:
Don't offer to retain changes when switching to wikitext editor by tab if no changes have been made

https://gerrit.wikimedia.org/r/143203

Ryasmeen added a comment.Via ConduitJul 1 2014, 7:37 PM

Verified the fix in Betalabs

Ryasmeen added a comment.Via ConduitJul 7 2014, 9:43 PM

Verified the fix in test2

Ryasmeen added a comment.Via ConduitJul 10 2014, 9:33 PM

Verified the fix in production

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.